Zapmicro ZMA8xx on Elastix-1.6.0_29-oct-2009

Discussion in 'Gateways' started by bburnier, Mar 30, 2010.

  1. bburnier

    Joined:
    Mar 27, 2010
    Messages:
    1
    Likes Received:
    0
    Hi everybody,

    I've 3 PBX's running for the last 2.5 years with asterisk on top of slackware 11.0, each one using a Zapmicro ZMA8xx with the zapmicro supplied patched zaptel-zma8xx-1.4.4.

    Recently we had to go digital on our main site, and besides buying a Digium E1 card, I decided to try a few *centrics distribuitions.

    To cut it short, I hated asterisknow, found trixbox just a tad better, and really fell in love with elastix.

    But now I have a problem: I want to migrate all my 3 systems to elastix, but so far coudn't get the ZMA8xx to go up on an elastix box.

    I tried compiling the zapmicro patched zaptel-1.4.4 drivers on my elastix and they did compile without a glitch.

    The problem is that when I modprobe the zaptel.ko module the machine freezes instantly.
    Can somebody point me the direction to install these drivers on an elastix box?

    Even if this would be an obstacle to future online upgrades to these boxes, I'd rather have those PBX's with elastix the way it's right now for a few years to come than to keep my homegrown asterisk.

    Sorry for the lengthy message, but would someone point me way to get those cards to work on elastix 1.6?

    Thanks,

    Bernardo
     
  2. james.zhu

    Joined:
    Feb 13, 2008
    Messages:
    99
    Likes Received:
    0
    hi:
    are you using dahdi or zaptel in elastix-1.6? you ask them dahdi driver with ZMA8XX.
    zapmic should have a dahdi with ZMA8ZZ.
     

Share This Page